﻿@model ShoppingCart
<form method="post">
    
        <div class="card  container">
            <div class="card-header bg-primary text-light ml-0  row ">
                <div class="col-12 col-md-6">
                    <h1 class="text-white-50">@Model.Product.Title</h1>
                    <p class="text-warning">by @Model.Product.Author</p>
                </div>
                <div class="col-12 col-md-6 text-end pt-4">
                    <span class="badge bg-info pt-2" style="height:30px;">@Model.Product.CoverType.Name</span>
                    <span class="badge bg-warning pt-2" style="height:30px;">@Model.Product.Category.Name</span>
                </div>
            </div>
            <div class="card-body row container">
                <div class="container rounded p-2">
                    <div class="row">
                        <div class="col-8 col-lg-8">

                            <div class="row pl-2">
                                <h5 class="text-muted">ISBN : @Model.Product.ISBN</h5>
                            </div>
                            <div class="row pl-2">
                                <h5 class="text-muted pb-2">List Price: <strike>$@Model.Product.ListPrice</strike></h5>
                            </div>
                            <div class="row text-center pl-2">
                                <div class="p-1 col-2 bg-secondary border-bottom">
                                    <div>Quantity</div>
                                </div>
                                <div class="p-1 col-2 bg-secondary border-bottom">
                                    <div>1-50</div>
                                </div>
                                <div class="p-1 col-2 bg-secondary border-bottom">
                                    <div>51-100</div>
                                </div>
                                <div class="p-1 col-2 bg-secondary border-bottom">
                                    <div>100+</div>
                                </div>
                            </div>
                            <div class="row text-center pl-2" style="color:maroon; font-weight:bold">
                                <div class="p-1 col-2 bg-secondary">
                                    <div>Price</div>
                                </div>
                                <div class="p-1 col-2 bg-secondary">
                                    <div>$@Model.Product.Price.ToString("c")</div>
                                </div>
                                <div class="p-1 col-2 bg-secondary">
                                    <div>$@Model.Product.Price50.ToString("c")</div>
                                </div>
                                <div class="p-1 col-2 bg-secondary">
                                    <div>$@Model.Product.Price100.ToString("c")</div>
                                </div>
                            </div>
                            <div class="row pl-2">
                                <p class="text-secondary">@Html.Raw(Model.Product.Description)</p>
                            </div>
                            <div class="row pl-2">
                                <div class="col-2 text-primary"><h4>Count</h4></div>
                                <div class="col-10"><input asp-for="@Model.Count" class="form-control"  /></div>
                            </div>
                        </div>
                        <div class="col-12 col-lg-3 offset-lg-1 text-center">
                            <img src="@Model.Product.ImageUrl" width="100%" class="rounded" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <div class="row">
                    <div class="col-12 col-md-6 pb-1">
                        <a asp-action="Index" class="btn btn-success form-control " style="height:50px;">Back to List</a>
                    </div>
                    <div class="col-12 col-md-6 pb-1">
                        <button type="submit" value="Add to Cart" class="btn btn-primary form-control" style="height:50px;">Add to Cart</button>
                    </div>
                </div>
            </div>
        </div>
</form>
